Subject: Re: [bug#28262] [PATCH] Handle the same HTTP redirects everywhere.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 31 Aug 2017 15:10:12 +0200

Hey Tobias,

Tobias Geerinckx-Rice <[email-masked]> skribis:

> * guix/download.scm (http-fetch): Complete the hard-coded list of HTTP
> redirect status codes.

Actually guix/build/download.scm.

> * guix/http-client.scm (http-fetch): Likewise.
> * guix/scripts/lint.scm (probe-uri): Likewise.
> ---
>
> Guix,
>
> There are three (that I know of) hard-coded lists of HTTP redirect status
> codes in Guix. All were different, and all were incomplete.
>
> This patch doesn't address the duplication, but does add all missing
> codes. Specifically the newer HTTP/1.1 codes, including 303 ‘See Other’.
> It's not strictly a plain redirect, but used as such in the wild[1], and
> treating it as such is probably enough for our purposes.
>
> This allows at least lightdm-gtk-greeter to be built again. Why its
> sources waren't mirrored to begin with I do not know, nor did I check.

Good catch, go for it!

As a followup, we should look into merging the two ‘http-fetch’
procedures.  I don’t think the initial motivation for having two
separate implementations still holds.

Thanks,
Ludo’.